matrix:
  platform:
    - debian10
    - ubuntu2004
    - macos_arm64
  bazel:
    - 7.x
    - 6.x
tasks:
  verify_targets:
    name: Verify build targets
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    build_targets:
      - "@rules_pycross//pycross/..."
bcr_test_module:
  module_path: e2e/bzlmod
  matrix:
    platform:
      - debian10
      - ubuntu2004
      - macos_arm64
  tasks:
    run_test_module_bazel_6:
      name: Run test module
      platform: ${{ platform }}
      bazel: 6.x
      build_targets:
        - "//..."
        - "--"
        - "-//lock_file/..."
      test_targets:
        - //...
        - "--"
        - "-//lock_file/..."
    run_test_module_bazel_7:
      name: Run test module
      platform: ${{ platform }}
      bazel: 7.x
      build_targets:
        - //...
      test_targets:
        - //...
